<?php 
// /HEADER SETTINGS IN CUSTOMIZER
  $lvl1ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel1', array(
    'title' => 'General Settings',
    'priority' => 1,
  ));

  $wp_customize->add_panel( $lvl1ParentPanel );

  $lvl2ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel2', array(
    'title' => 'Header',
    'panel' => 'peccular_header_panel1',
    'priority' => 1,
  ));  

  $wp_customize->add_panel( $lvl2ParentPanel );

  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test',
    'panel' => 'peccular_header_panel2',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_header_section' , array(
        'title'    => __( 'All Settings', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel2'
    ) );

    $wp_customize->add_setting('peccular_allsetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_allsetting_nav', array(
       'section' => 'peccular_header_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_show_sticky_header',
                'peccular_header_style',
                'peccular_header_width',
                'peccular_header_sbutton_enable',
                'header__search__label',
                'peccular_headerbtnlink',
                'peccular_header_image_opacity'     
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(  
                'header_stickybgColor',
                'header_bgColor',
                'header_topbgColor',
                'header_SiteTitleColor',
                'header_SearchBoxTextColor',
                'header_SearchBoxIconColor',
                'header_SearchBoxBorderColor',
                'header_SearchBoxBGColor',
                'header_CartIconColor',
                'header_CartCountColor',
                'header_CartCountbgColor',
                'header_CartCountbghoverColor',
                'header_SiteTaglineColor'  
            ),
         )
        ),
    )));

    $wp_customize->add_setting( 'peccular_show_sticky_header',array(
        'default' => false,
        'sanitize_callback' => 'peccular_switch_sanitization'
   ) );
   $wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_show_sticky_header',array(
        'label' => __( 'Show Sticky Header','peccular' ),
        'section' => 'peccular_header_section'
   )));

   
    $wp_customize->add_setting('peccular_header_style',array(
        'default' => 'Above Slider',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_header_style',array(
        'type' => 'select',
        'label' => __('Header Style','peccular'),
        'choices' => array (
            'Above Slider' => __('Above Slider','peccular'),
            'On Slider' => __('On Slider','peccular')
        ),
        'section' => 'peccular_header_section',
    ));

     $wp_customize->add_setting('peccular_header_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_header_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_header_section',
    ));
  

   $wp_customize->add_setting( 'peccular_header_sbutton_enable',array(
        'default' => true,
        'sanitize_callback' => 'peccular_switch_sanitization'
   ) );
   $wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_header_sbutton_enable',array(
        'label' => __( 'Show Search Box','peccular' ),
        'section' => 'peccular_header_section'
   )));   
 
 $wp_customize->add_setting(
    'header__search__label',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Search' )
    )
);
$wp_customize->add_control(
    'header__search__label',
    array(
        'settings'      => 'header__search__label',
        'section'       => 'peccular_header_section',
        'type'          => 'text',
        'label'         => __( 'Search Box Text', 'peccular-premium' )
    )
);

 $wp_customize->add_setting('peccular_header_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_header_image_opacity',array(
    'label' => __('Header Image Opacity','peccular'),
    'section' => 'peccular_header_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));


addColorPalatOption($wp_customize, 'header_stickybgColor', 'peccular_header_section', 'Sticky Header BG Color', '');

addColorPalatOption($wp_customize, 'header_topbgColor', 'peccular_header_section', 'Top Header BG Color', '');
addColorPalatOption($wp_customize, 'header_bgColor', 'peccular_header_section', 'Bottom Header BG Color', '');

addColorPalatOption($wp_customize, 'header_SiteTitleColor', 'peccular_header_section', 'Site Title Color', '');
addColorPalatOption($wp_customize, 'header_SiteTaglineColor', 'peccular_header_section', 'Tagline Color', '');


addColorPalatOption($wp_customize, 'header_SearchBoxTextColor', 'peccular_header_section', 'Search Box Text Color', '');
addColorPalatOption($wp_customize, 'header_SearchBoxIconColor', 'peccular_header_section', 'Search Box Icon Color', '');
addColorPalatOption($wp_customize, 'header_SearchBoxBorderColor', 'peccular_header_section', 'Search Box Border Color', '');
addColorPalatOption($wp_customize, 'header_SearchBoxBGColor', 'peccular_header_section', 'Active Search Box BG Color', '');

addColorPalatOption($wp_customize, 'header_CartIconColor', 'peccular_header_section', 'Cart Icon Color', '');
addColorPalatOption($wp_customize, 'header_CartCountColor', 'peccular_header_section', 'Count Text Color', '');
addColorPalatOption($wp_customize, 'header_CartCountbgColor', 'peccular_header_section', 'Count Text BG Color', '');
addColorPalatOption($wp_customize, 'header_CartCountbghoverColor', 'peccular_header_section', 'Cart Icon Hover BG Color', '');
?>